---
title: Create
url: https://www.tines.com/docs/api/cases/case_inputs/create/
updated: 2026-04-27T18:36:47+00:00
description: Creates a case input on a team.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Case inputs](https://www.tines.com/llm/docs/api/cases/case_inputs.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/cases/case_inputs/create/)*

## Description

Creates a case input on a team.

## Request

HTTP Method: **POST**

| Parameter          | Description                                                                                                                                 |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- |
| name               | The name of the case input.                                                                                                                 |
| input_type         | The type of the case input. One of `string`, `number`, `boolean`, or `timestamp`.                                                           |
| team_id            | The ID of the team where the case input should be added.                                                                                    |
| sensitive          | **Optional** A boolean (`true` or `false`) indicating whether the sensitive field permission is required to read or write this field.       |
| validation_type    | **Optional** The validation type for the case input. One of `options` or `regex`. Use these only with `string` inputs.                      |
| validation_options | **Optional** Validation options for the case input. For `options`, provide an array of values. For `regex`, provide a regex pattern string. |
| group_name         | **Optional** The name of the group to assign the case input to.                                                                             |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/case_inputs/ \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
        "name": "Operating system",
        "input_type": "string",
        "team_id": 1,
        "sensitive": false,
        "validation_type": "options",
        "validation_options": {
          "options": [
            "Windows",
            "MacOS",
            "Linux"
          ]
        }
      }'
```

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/case_inputs/ \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
        "name": "IP address",
        "input_type": "string",
        "team_id": 1,
        "sensitive": true,
        "validation_type": "regex",
        "validation_options": {
          "regex": "^((25[0-5]|(2[0-4]|1\\d|[1-9]|)\\d)\\.?\\b){4}$"
        }
      }'
```

## Response

A successful request will return a JSON object describing the case input.

### Field description

| Parameter             | Description                                                                                                              |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| id                    | The case input ID.                                                                                                       |
| name                  | The name of the case input.                                                                                              |
| input_type            | The type of the case input.                                                                                              |
| sensitive             | A boolean (`true` or `false`) indicating whether the sensitive field permission is required to read or write this field. |
| validation_type       | Validation type of the case input.                                                                                       |
| validation_options    | Validation options of the case input.                                                                                    |
| team                  | An object containing the ID and name of the team the case input belongs to.                                              |
| team_case_input_group | An object containing the name of the group the case input belongs to, if any.                                            |
| created_at            | An ISO 8601 timestamp representing when the case input was created.                                                      |
| updated_at            | An ISO 8601 timestamp representing when the case input was last updated.                                                 |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 21405,
  "name": "Operating system",
  "input_type": "string",
  "sensitive": false,
  "validation_type": "options",
  "validation_options": {
    "options": ["Windows", "MacOS", "Linux"]
  },
  "team": {
    "id": 1,
    "name": "Engineering"
  },
  "created_at": "2022-06-24T08:35:21Z",
  "updated_at": "2022-06-24T08:35:21Z"
}
```

<!-- cspell:enable -->
